org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNodeOrBuilder
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder>
      implements JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNodeOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode` | `build()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode` | `buildPartial()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder` | `clear()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder` | `clearEventType()` `optional string event_type = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder` | `clone()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `String` | `getEventType()` `optional string event_type = 1;`
    `com.google.protobuf.ByteString` | `getEventTypeBytes()` `optional string event_type = 1;`
    `boolean` | `hasEventType()` `optional string event_type = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder` | `mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode other)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder` | `setEventType(String value)` `optional string event_type = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder` | `setEventTypeBytes(com.google.protobuf.ByteString value)` `optional string event_type = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder>`

    - #### clear

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder>`

    - #### clone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                            throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder>`
      Throws:
        `IOException`

    - #### hasEventType

          public boolean hasEventType()

      `optional string event_type = 1;`
      Specified by:
        `hasEventType` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNodeOrBuilder`

    - #### getEventType

          public String getEventType()

      `optional string event_type = 1;`
      Specified by:
        `getEventType` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNodeOrBuilder`

    - #### getEventTypeBytes

          public com.google.protobuf.ByteString getEventTypeBytes()

      `optional string event_type = 1;`
      Specified by:
        `getEventTypeBytes` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNodeOrBuilder`

    - #### setEventType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder setEventType(String value)

      `optional string event_type = 1;`

    - #### clearEventType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder clearEventType()

      `optional string event_type = 1;`

    - #### setEventTypeBytes

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder setEventTypeBytes(com.google.protobuf.ByteString value)

      `optional string event_type = 1;`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.